Loading...
Searching...
No Matches
QoreExternalProgramLocationWrapper Class Reference

returns a custom Qore program location for external modules to generate runtime exceptions with the source location More...

`#include <ExceptionSink.h>`

## Public Member Functions

DLLEXPORT | QoreExternalProgramLocationWrapper ()
| empty constructor; use set() to set the location
DLLEXPORT | QoreExternalProgramLocationWrapper (const char *file, int start_line, int end_line, const char *source=nullptr, int offset=0, const char *lang=nullptr)
| constructor setting the source location
DLLEXPORT | QoreExternalProgramLocationWrapper (const QoreExternalProgramLocationWrapper &)
| copy ctor
DLLEXPORT | QoreExternalProgramLocationWrapper (QoreExternalProgramLocationWrapper &&)
| move ctor
DLLEXPORT | ~QoreExternalProgramLocationWrapper ()
| destructor; frees memory
DLLLOCAL const QoreProgramLocation & | get () const
| returns the source location
DLLEXPORT int | getEndLine () const
| returns the start line
DLLLOCAL const std::string & | getFile () const
| returns the file name
DLLLOCAL const std::string & | getLanguage () const
| returns the language
DLLLOCAL const std::string & | getSource () const
| returns the source
DLLEXPORT int | getStartLine () const
| returns the start line
DLLEXPORT void | set (const char *file, int start_line, int end_line, const char *source=nullptr, int offset=0, const char *lang=nullptr)
| sets the program source location

## Detailed Description

returns a custom Qore program location for external modules to generate runtime exceptions with the source location

The documentation for this class was generated from the following file:

- include/qore/ExceptionSink.h